Name: xgrav
Version:  1.2.0
Release:  8%{?dist}
Summary: A simple physics simulation for a large number of particles

Group: Amusements/Games 
License: GPLv2+
URL: http://aass.oru.se/~mbl/xgrav/
Source0: http://www.aass.oru.se/~mbl/xgrav/xgrav-%{version}.tgz
Source1: xgrav.desktop
#Created from screenshot of example1.g run.
Source2: xgrav.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: desktop-file-utils, SDL-devel, flex, zlib-devel
Requires: hicolor-icon-theme

%description
X-Grav simulates the effect of gravity, collisions, heat dissipation and
a simple chemical reaction. The simulation is in no way meant to be 
realistic but rather a toy with which you can create stars, planets 
and even simple solar systems.

%prep
%setup -qn xgrav

chmod -x COPYING

%build

make LINUX_CFLAGS="-c $RPM_OPT_FLAGS `pkg-config --cflags sdl` \
-DWITH_ROOTWINDOW" LINUX_LDFLAGS="$RPM_OPT_FLAGS `pkg-config \
--libs sdl` -lGL `pkg-config --libs x11` -lm"

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{_bindir}
install -m 755 xgrav %{buildroot}%{_bindir}/xgrav

mkdir -p  %{buildroot}%{_datadir}/xgrav
install -p -m 644 example* %{buildroot}%{_datadir}/xgrav

sed 's;/usr/share;%_datadir;' %{SOURCE1} > xgrav.desktop

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
  xgrav.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING documentation.html README README.html TODO VERSION
%{_bindir}/xgrav
%{_datadir}/xgrav
%{_datadir}/applications/fedora-xgrav.desktop
%{_datadir}/icons/hicolor/32x32/apps/xgrav.png

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 1.2.0-6
- GCC 4.3 rebuild.

* Mon Nov 12 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.0-5
- Release bump to fix F-8 EVR issue.

* Wed Oct 17 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.0-4
- Removed duplicate file listing.
- Re-added zlib-devel BR.

* Tue Oct 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.0-3
- Fixed build.
- Preserved source timestamp.

* Tue Oct 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.0-2
- Changing optflag method, dropped zlib-devel BR.
- Sited icon source, dropped .png from .desktop icon name.
- .desktop now honors macros.
- Preserved timestamps.
- Consistentified buildroot macro.

* Mon Oct 15 2007 Jon Ciesla <limb@jcomserv.net> - 1.2.0-1
- create.
